package com.dyteflutter;


import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import io.flutter.plugin.platform.PlatformView;
import java.util.Map;
import com.dyteclientmobile.DyteMeeting;
import com.dyteclientmobile.MeetingConfig;

class DyteMeetingView implements PlatformView {
    @NonNull private final View meetingView;

    DyteMeetingView(@NonNull Context context, int id, @Nullable Map<String, Object> creationParams) {

        String roomName = (String) creationParams.get("roomName");
        String authToken = (String) creationParams.get("authToken");

        MeetingConfig config = new MeetingConfig();
        config.setRoomName(roomName).setAuthToken(authToken);

        DyteMeeting.setup(config);

        meetingView = DyteMeeting.init((Activity) context);
    }

    @NonNull
    @Override
    public View getView() {
        return meetingView;
    }

    @Override
    public void dispose() {}
}
